Subject: Re: bug#74467: 31.0.50; org-protocol emacsclient.desktop change is not fully functional

From: Björn Bidar <[email-masked]>
Date: Tue, 07 Jan 2025 10:05:02 +0200

Ihor Radchenko <[email-masked]> writes:

> Björn Bidar <[email-masked]> writes:
>
>> Calling a shell and then the program is more complicated as the argument
>> supplied to Emacs first run through the shell and then Emacs making the
>> arguments subject to the shell parsing rules.
>> ...
>> It does fix that but dropping the shell in this context helps to avoid any
>> later potential issues.
>
> Maybe. But how does it have anything to do with the particular bug we
> are discussing now?
I'm not sure I merely mentioned it because of the issues we have been
facing regarding the desktop files.

> If you have ideas how to improve the sh command in the .desktop file, I
> suggest moving such discussion to emacs-devel.

I suggest to call Emacsclient without sh but yeah good call.